io.vertx.rxjava.ext.shell.term

## Class Pty

- java.lang.Object
- - io.vertx.rxjava.ext.shell.term.Pty

-     public class Pty
      extends Object

  A pseudo terminal used for controlling a `Tty`. This interface acts as a pseudo terminal master, `slave()` returns the assocated slave pseudo terminal.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Pty(Pty delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Pty` | `create()` Create a new pseudo terminal with no terminal type.
    `static Pty` | `create(String terminalType)` Create a new pseudo terminal.
    `Object` | `getDelegate()`
    `static Pty` | `newInstance(Pty arg)`
    `Pty` | `setSize(int width, int height)` Resize the terminal.
    `Tty` | `slave()`
    `Pty` | `stdoutHandler(Handler<String> handler)` Set the standard out handler of the pseudo terminal.
    `Pty` | `write(String data)` Write data to the slave standard input of the pseudo terminal.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Pty

          public Pty(Pty delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

    - #### create

          public static Pty create()

      Create a new pseudo terminal with no terminal type.
      Returns:

    - #### create

          public static Pty create(String terminalType)

      Create a new pseudo terminal.
      Parameters:
        `terminalType` - the terminal type, for instance
      Returns:
        the created pseudo terminal

    - #### stdoutHandler

          public Pty stdoutHandler(Handler<String> handler)

      Set the standard out handler of the pseudo terminal.
      Parameters:
        `handler` - the standard output
      Returns:
        this current object

    - #### write

          public Pty write(String data)

      Write data to the slave standard input of the pseudo terminal.
      Parameters:
        `data` - the data to write
      Returns:
        this current object

    - #### setSize

          public Pty setSize(int width,
                             int height)

      Resize the terminal.
      Parameters:
        `width` -
        `height` -
      Returns:
        this current object

    - #### slave

          public Tty slave()

      Returns:
        the pseudo terminal slave

    - #### newInstance

          public static Pty newInstance(Pty arg)

Copyright © 2016. All rights reserved.